Suppliers
List Suppliers
List suppliers with pagination.
GET
/
suppliers
List Suppliers
curl --request GET \
--url https://vinmake-erp.onrender.com/suppliersimport requests
url = "https://vinmake-erp.onrender.com/suppliers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://vinmake-erp.onrender.com/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"approvedVendor": true,
"documentId": "<string>",
"country": "<string>",
"contactPerson": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"contacts": [
{
"contactName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"countryCode": "<string>",
"platforms": [
{
"platform": "<string>",
"handle": "<string>"
}
]
}
],
"bankDetails": {
"raw": "<string>",
"accountCountry": "<string>",
"accountCurrency": "<string>",
"accountHolderType": "<string>",
"transferMethod": "<string>",
"swiftCode": "<string>",
"bankAccountNumber": "<string>",
"accountHolderName": "<string>",
"intermediarySwiftCode": "<string>",
"recipientNickname": "<string>",
"recipientEmail": "<string>",
"recipientCountry": "<string>",
"recipientAddress": "<string>",
"recipientCity": "<string>",
"recipientPostalCode": "<string>",
"recipients": [
{
"recipientNickname": "<string>",
"recipientEmail": "<string>",
"recipientCountry": "<string>",
"recipientAddress": "<string>",
"recipientCity": "<string>",
"recipientPostalCode": "<string>"
}
],
"shippingPickupDetails": [
{
"label": "<string>",
"type": "<string>",
"address": "<string>",
"contactName": "<string>",
"phoneNumber": "<string>",
"notes": "<string>"
}
]
},
"address": "<string>",
"specialization": "<string>",
"notes": "<string>",
"createdAt": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
List Suppliers
